<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>Das Web</title>

    <!--external CSS Stlye Sheet--> 
    <link rel="stylesheet" href="Fachbegriffe.css">
    
    <meta name="viewport" content="width=device-width, initial-scale=1">


</head> 

<body>
<div id="page-container">
<div id="content-wrap">
<header> 
    <div class="row">
        <div class="container">
          <div class="column">             
          </div>

          <div class="column">
          <div class="row">
             <div class="columnn" >
                  <a href="Startseite.html">STARTSEITE</a>
             </div>
             <div class="columnn">
              <a href="moduluebersicht.html">MODUL</a>
            </div>
             <div class="columnn">
             <div class="dropdown">
              <button class="dropbtn">
              <a href="fachbegriffe.html">FACHBEGRIFFE</a>
              </button>
                
              <div class="dropdown-content">
              <a href="das-web.html">Das Web</a>
              <a href="html-css.html">CSS HTML</a>
              </div>
              </div>
              </div>

              <div class="columnn" >
              <a href="ueberuns.html">ABOUT</a>
              </div>
             </div>
          </div>
          <div class="column">
            <a href="Startseite.html"></a>
          </div>
        </div>
      </div>       
</header>
      
<!--Content-->
<!--breadcrumb-->
<div class=content> 
     <ul class="breadcrumbs">
            <li> <a href="Startseite.html">Startseite</a></li>
            <li><a href="Fachbegriffe.html">Fachbegriffe</a></li>
            <li>Das Web</li>
        </ul>
<!--Titel-->
<h1>Das Web</h1>

<!--content grid-->        
<div class="row">
    <div class="col-1 menu">
        <ul>
            <a href="#F1"><li>IP Protokoll</li></a>
            <a href="#F2"> <li>TCP</li></a>
            <a href="#F3"><li>DNS</li></a>
            <a href="#F4"> <li>HTTP</li></a>
            <a href="#F5"> <li>MIME</li></a>
            <a href="#F6"><li>Ressourcen</li></a>
            <a href="#F7"><li>URI</li></a>
            <a href="#F8"><li>URL</li></a>
            <a href="#F9"><li>URN</li></a>
            <a href="#F10"><li>Proxy-Server</li></a>
        </ul>
    </div>
                      
    <div class="col-2">
        <h2 id="F1">Internet Protocol (IP)</h2>
        <p>Hypertext Markup Language (HTML)
            Es handelt sich hierbei um ein Protokoll der Vermittlungsschicht. IP regelt die Kommunikation zwischen zwei Rechnern ohne einen vorherigen Verbindungsaufbau. 
            Ein weiterer Dienst ist die Aufteilung der zu übertragenden Daten in kleine Pakete und die Adressierung des Zielrechners. 
            Es verfügt über keine Mechanismen der Fehlererkennung bzw. – korrektur.  
        </p>
        

        <h2 id="F2">Transmission Control Protocol (TCP)</h2>
        <p>Das TCP bildet die Übertragungsschicht, es ist ein verbindungsorientiertes Protokoll, welches die korrekte Zustellung der Pakete ermöglicht. 
            Die erhaltenen Pakete werden vom Empfänger quittiert, verloren gegangene Pakete ist eine Retransmission möglich. TCP fürht auch das Konzept der Ports ein. 
        </p>
        

        <h2 id="F3">Domain Name Service (DNS)</h2>
        <p>Ist ein verteilter hierarchischer Verzeichnisdienst und verwaltet den Namensraum des Internets. Hauptsächlich ist der Dienst für die Umsetzung von Damainnamen in IP-Adressen zuständig. 
            DNS ist vergleichbar mit einem Telefonbuch man sucht nach einem Namen und erhält die dazugehörige Telefonnummer.
        </p>


        <h2 id="F4">Hypertext Transfer Protocol (HTTP)</h2>
        <p>Es handelt sich hierbei um das Anwendungsprotokoll des World Wide Web. http ist die gemeinsame Sprache von Web-Client und Web-Server für den Austausch von Daten beliebiger Formate zwischen Client & Server. 
            WWW ist ein Pull-Medium und basiert auf dem Request/Response-Paradigma. Der Web-Server liefert nur dann eine eine Response, wenn der Client zuvor einen Request abgesetzt hat. 
            Eine Übersicht zu den HTTP Request Methoden und weitere Informationen findet man <a href="https://de.wikipedia.org/wiki/Hypertext_Transfer_Protocol">hier.</a>
        </p>
        
        
        <h2 id="F5">MIME-System Multimedia Internet Message Extension </h2>
        <p>Der MIME-Tye gibt an welche Art von Daten gesendet werden. Das MIME-System ist bestehend aus zwei Teilen: Haupttyp/Untertyp z.B. text/plain, imag/jpeg. 
            Weiter Informationen zum MIME Type findet man <a href= "https://wiki.selfhtml.org/wiki/MIME-Type/%C3%9Cbersicht" >hier.</a>  
        </p>
        
        
        <h2 id="F6">Ressourcen</h2>
        <p>Bei Ressourcen handelt es sich um vom Client bei der Anfrage spezifizierte Entitäten, häufig hierbei sind HTML-Dokumente und Bilder.    
        </p>


        <h2 id="F7">Uniform Resource Identifier (URI)</h2>
        <p>Bei URI handelt es sich um eine Zeichenfolge zur Identifizierung einer abstrakten oder physischen Ressource und gilt als sehr allgemeines Konzept.             
        </p>

        <h2 id="F8">Uniform Resource Locator (URL)</h2>
        <p>Die Adressierung der Ressourcen erfolgt durch URL. Es handelt sich hier um eine Unterart von URI. Der URL zeigt auf eine bestimmte Ressource an einem bestimmten Ort. 
        Ein UR spezifiziert in der Regel ein Protokoll für den Zugriff auf die Ressource, den Namen des Servers und die Position der Ressource auf dem Server. 
        Der allgemeine Syntax bildet sich wie folgt: Protokoll://host[:port]/pfad/zu/ressource[#sektion|?parameter].
        </p>

        <h2 id="F9">Uniform Resource Name (URN) </h2>
        <p>vorhandenen oder frei zu vergebenden Namen identifiziert z.B. urn:isbn:3486258591. </p>
        

        <h2 id="F10">Proxy-Server </h2>
        <p>als Web-Server auf und dem Web-Server gegenüber als Web-Client. 
        Aufgaben eines Proxy-Servers ist der Schutz des LANs gegen Angriffe von aussen, die Beschränkung des Zugriffs von LAN-Rechnern auf das Internet und das Caching von Internet-Ressourcen. 
        </p>
        

    </div>
</div>
</div>
</div>                             
        <!--Footer-->
<footer>  
    <div class="footer">      
    <a href="impressum.html">Impressum</a>
    <a href="Kontakt.html">Kontakt</a>
    <a href="Hinzufügen.html">Hinzufügen</a>
    </div>
</footer>
</div>

</body>

